Bug 214457 - (php-pear-Cache) Review Request: php-pear-Cache - Framework for caching of arbitrary data
Review Request: php-pear-Cache - Framework for caching of arbitrary data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: pear-HTTP-Request
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-07 13:27 EST by Remi Collet
Modified: 2010-05-13 18:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 10:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-07 13:27:22 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Cache.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Cache-1.5.5-0.1.rc4.fc6.src.rpm
Mock log: http://remi.collet.free.fr/rpms/extras/php-pear-Cache-build.log
Description: 
With the PEAR Cache you can cache the result of certain function
calls, as well as the output of a whole script run or share data
between applications.

---
I know this extension is not maintained upstream, but is a requirement for php-pear-Services-Weather...

I prefer 1.5.5rc4 (2005-09) rather than stable 1.5.4 (2004-04) but quite old.

No test suite provided upstream
Comment 1 Christopher Stone 2006-11-09 23:31:25 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- package licensed with open source compatible license
- license matches actual license
- licnese included in %doc
- spec file written in American english
- spec file legible
- sources match upstream
d7ababc47030b1d69aba655156a41ea3  ../SOURCES/Cache-1.5.5RC4.tgz
- package successfully compiles and builds on FC5 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- contains proper %clean section
- macro usage is consistent
- contains code
- no large documentation
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- not a GUI app needing a .desktop file
- packages does not own files or directories owned by other packages

APPROVED

==== SHOULD ====
- Change fullversion to just "beta" and define it to "RC4", then set:

Release: 0.1.%{beta}%{?dist}
Source0 ...%{pear_name}-%{version}{%beta}.tgz

etc..
Comment 2 Remi Collet 2006-11-11 10:42:57 EST
Push to CVS with macro changes.
Comment 3 Remi Collet 2010-05-13 03:36:33 EDT
Package Change Request
======================
Package Name: php-pear-Cache
New Branches: EL-6
Owners: remi
Comment 4 Dennis Gilmore 2010-05-13 18:38:44 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.